#include "testlib.h"
using namespace std;
const int nMAX = 1000000;

int main(int argc, char* argv[])
{   registerValidation(argc, argv);
    int n;
    if (validator.group() == "task1") n = inf.readInt(1, 100, "n");
        else n = inf.readInt(1, nMAX, "n");
    inf.readEoln();

    string s = inf.readToken("[0-9]{1,1000000}");
    ensure(s[0] != '0');
    ensure(s.length() == n);

    inf.readEoln();
    inf.readEof();
    return 0;
}